For bank transfers, use the following parameters.
| Name | Type | Required | Description |
|---|---|---|---|
| amount | integer | Yes | Amount in KOBO. |
| source | string | Yes | Source wallet id. This wallet will be debited. |
| currency | string | Yes | Must be "NGN". |
| reference | string | Yes | Your own internal reference. You will get back this reference upon receiving webhooks and can use it to run TSQ. |
| accountNumber | string | Yes | Bank Account Number to transfer to. |
| bankCode | string | Yes | Bank code of destination bank. Please check the bank list endpoint for bank code retrieval. |
| narration | string | No | Description of transfer. |
curl -X POST "https://api.piggyvest.business/api/v1/transfer/bank" \\-H "Authorization: Bearer YOUR_SECRET_KEY" \\-H "Content-Type: application/json" \\-d '{ "amount": 500000, "narration": "Transfer to user 2", "currency": "NGN", "source": "f3ad0937-1d03-4843-b3d3-a09210967e49", "accountNumber": "0743399098", "bankCode": "3164567", "reference": "7bc2dfe9-fad4-48d7-af45-87b55baca2e9"}'{ "status": true, "message": "Bank transfer is processing"}{ "status": false, "message": "Insufficient funds"}{ "status": false, "message": "An error occurred processing bank transfer"}